%define prefix /usr
%define name MyMencoderDVD
%define version 0.2.0
%define release %mkrel 1
%define url http://kellerleiche.bplaced.net

Name:		%{name}
Version:	%{version}
Release:	%{release}
License:	GPL
Group:		Video
URL:		%{url}
Source:		%{name}-%{version}.tar.xz
Summary:	MyMencoderDVD GUI
Summary(de):	MyMencoderDVD GUI
BuildRoot:	%{_tmppath}/%{name}-buildroot
Requires:	gtkdialog, xterm, mplayer, mencoder, mediainfo, mpgtx
Obsoletes:	%name < %version

%description
MyMencoderDVD for encoding standard dvd, svcd, vcd, and mpeg1/2 files.  

#german
%description -l de
MyMencoderDVD zum konvertieren von Standard gerechte DVD, SVCD, VCD und MPEG1/2 Dateien.

%prep

%setup -q -n %{name}-%{version}


%install
rm -rf $RPM_BUILD_ROOT

mkdir -p %{buildroot}/%{_bindir}
install -m 755 myMencDVD %{buildroot}/%{_bindir}/

mkdir -p %{buildroot}/%{_iconsdir}
install -m 644 $RPM_BUILD_DIR/%{name}-%{version}/MyMencoderDVD.png %{buildroot}/%{_iconsdir}/MyMencoderDVD.png
install -m 644 $RPM_BUILD_DIR/%{name}-%{version}/mplayer.png %{buildroot}/%{_iconsdir}/mplayer.png

mkdir -p %{buildroot}/%{_datadir}/icons/hicolor/32x32/apps
install -m 644 MyMencoderDVD32.png %{buildroot}%{_datadir}/icons/hicolor/32x32/apps/my_mencoder_dvd.png

mkdir -p %{buildroot}/%{_datadir}/mymencoder_dvd
install -m 0644 ChangeLog %{buildroot}/%{_datadir}/mymencoder_dvd

mkdir -p %{buildroot}%{_datadir}/applications
cat > %{buildroot}%{_datadir}/applications/myMencDVD.desktop << EOF
[Desktop Entry]
Type=Application
Name=MyMencoderDVD
Exec=myMencDVD
Categories=X-MandrivaLinux-Multimedia-Video;Video;AudioVideo;AudioVideoEditing;GTK;
Icon=MyMencoderDVD.png
Terminal=false
Encoding=UTF-8
EOF

# i18n - Internationalization - Internationalisierung
mkdir -p %{buildroot}%{_datadir}/locale/de/LC_MESSAGES
msgfmt -o  %{buildroot}%{_datadir}/locale/de/LC_MESSAGES/myMencDVD.mo $RPM_BUILD_DIR/%{name}-%{version}/languages/myMencDVD-de_DE.po

%post
%{update_menus}
%{update_desktop_database}


%postun
%{clean_menus}
%{clean_desktop_database}

%files
%defattr(-,root,root)
%{_bindir}/myMencDVD
%{_iconsdir}/*.png
%{_datadir}/icons/hicolor/32x32/apps/my_mencoder_dvd.png
%{_datadir}/mymencoder_dvd/*
%{_datadir}/applications/myMencDVD.desktop
%{_datadir}/locale/*/LC_MESSAGES/myMencDVD.mo
%doc readme copying

%clean
rm -rf %{buildroot}
rm -rf $RPM_BUILD_DIR/%{name}-%{version}

%changelog
* Tue Oct 30 2012 Neal <nealbrks0 at gmail dot com> 0.2.0-1pclos2012
- process

* Sat Oct 27 2012 daniel <meisssw01 at gmail.com> 0.2.0-1leiche2012
- Bump version to 0.2.0
- terminal output now in the gui
- rewrite gui
- add mybackup
- add unsharp filter
- add interlaced filter
- add dialog to choose language, and
  move subtitle
- add filter delogo  
- Most of Entry Lines now editable, if you
  known, what you do, feel free to set your 
  own parameters.
  
* Mon Oct 01 2012 daniel <meisssw01 at gmail.com> 0.1.5-1leiche2012
- rebuild for latest gtkdialog
- changes some commands

* Tue Sep 27 2011 leiche <meisssw01 at gmail.com> 0.1.3-2leiche2011
- rebuild it for new mediainfo

* Fri Dec 16 2010 leiche <meisssw01 at aol.com> 0.1.3-1leiche2010
- add more filters (beta status)
- add ac3 
- add audio extract
- fix close button
- fix MPEG-Tool
- fix Matrix in/output
- rename edit to Tools

* Sun Dec 12 2010 leiche <meisssw01 at aol.com> 0.1.2-2leiche2010
- fix bitrate calculator

* Sat Dec 11 2010 leiche <meisssw01 at aol.com> 0.1.2-1leiche2010
- change input dialog

* Fri Dec 10 2010 leiche <meisssw01 at aol.com> 0.1.1-2leiche2010
- fix link issues for german users

* Fri Dec 10 2010 leiche <meisssw01 at aol.com> 0.1.1-1leiche2010
- first build for PCLinuxOS 
